> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community content overview (challenges + achievements)

> Aggregated overview of challenge and achievement metrics for a community over a date range.



## OpenAPI

````yaml /openapi/analytics.json get /community/content/overview
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /community/content/overview:
    get:
      tags:
        - Community
      summary: Get community content overview (challenges + achievements)
      description: >-
        Aggregated overview of challenge and achievement metrics for a community
        over a date range.
      operationId: getCommunityContentOverview
      parameters:
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: startDate
          schema:
            type: string
            format: date-time
        - in: query
          name: endDate
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  challenges:
                    type: object
                    properties:
                      totalParticipants:
                        type: number
                      totalCompletions:
                        type: number
                      completionRate:
                        type: number
                      averageTimeToComplete:
                        type: number
                      startedNotCompleted:
                        type: number
                    required:
                      - totalParticipants
                      - totalCompletions
                      - completionRate
                      - averageTimeToComplete
                      - startedNotCompleted
                  achievements:
                    type: object
                    properties:
                      totalAchievementsEarned:
                        type: number
                      achievementsCompleted:
                        type: number
                      achievementsInProgress:
                        type: number
                      totalRewardsFromAchievements:
                        type: number
                    required:
                      - totalAchievementsEarned
                      - achievementsCompleted
                      - achievementsInProgress
                      - totalRewardsFromAchievements
                required:
                  - challenges
                  - achievements
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
              examples:
                example:
                  summary: Bad Request
                  value:
                    code: BAD_REQUEST
                    message: Invalid input data
                    issues: []
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
              examples:
                example:
                  summary: Not Found
                  value:
                    code: NOT_FOUND
                    message: Not found
                    issues: []
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
              examples:
                example:
                  summary: Server Error
                  value:
                    code: INTERNAL_SERVER_ERROR
                    message: Internal server error
                    issues: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````